Package org.kapott.hbci.datatypes

## Class SyntaxDTAUS

- java.lang.Object
- - org.kapott.hbci.datatypes.SyntaxDE
  - - org.kapott.hbci.datatypes.SyntaxAN
    - - org.kapott.hbci.datatypes.SyntaxDTAUS

    public class SyntaxDTAUS
    extends SyntaxAN

### Constructor Summary

Constructors
`protected` `SyntaxDTAUS()`
`` `SyntaxDTAUS​(java.lang.StringBuffer res, int minsize, int maxsize)`
`` `SyntaxDTAUS​(java.lang.String x, int minlen, int maxlen)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.lang.String` `check​(java.lang.String st)`
`protected void` `init()`
`void` `init​(java.lang.StringBuffer res, int minsize, int maxsize)`
`void` `init​(java.lang.String x, int minlen, int maxlen)`
`java.lang.String` `toString()`

### Methods inherited from class org.kapott.hbci.datatypes.SyntaxAN

`quote, toString, unquote`

### Methods inherited from class org.kapott.hbci.datatypes.SyntaxDE

`destroy, findNextDelim, getContent, setContent, skipPreDelim`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SyntaxDTAUS

    public SyntaxDTAUS​(java.lang.String x,
                       int minlen,
                       int maxlen)

#### SyntaxDTAUS

    protected SyntaxDTAUS()

#### SyntaxDTAUS

    public SyntaxDTAUS​(java.lang.StringBuffer res,
                       int minsize,
                       int maxsize)

### Method Detail

#### check

    public static java.lang.String check​(java.lang.String st)

#### init

    public void init​(java.lang.String x,
                     int minlen,
                     int maxlen)

Overrides:
  `init` in class `SyntaxAN`

#### init

    protected void init()

Overrides:
  `init` in class `SyntaxAN`

#### init

    public void init​(java.lang.StringBuffer res,
                     int minsize,
                     int maxsize)

Overrides:
  `init` in class `SyntaxAN`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `SyntaxDE`
Returns:
  Die human-reable Repraesentation dieses Elementes